Skip to main content
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
proposals
/
{proposal_address}
Get a specific proposal
curl --request GET \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-grid-environment: <x-grid-environment>'
import requests

url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address}"

headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals/{proposal_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "approved": [
      "<string>"
    ],
    "cancelled": [
      "<string>"
    ],
    "consensusAccount": "<string>",
    "consensusAccountType": "<string>",
    "proposalAddress": "<string>",
    "rejected": [
      "<string>"
    ],
    "status": "<string>",
    "statusTimestamp": 123,
    "blockTime": "2023-11-07T05:31:56Z",
    "lastModifiedSignature": "<string>",
    "mainAccountAddress": "<string>",
    "settingsAddress": "<string>",
    "transactionIndex": 123
  },
  "metadata": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Target Solana environment

Path Parameters

address
string
required

Smart account address

proposal_address
string
required

Proposal address

Query Parameters

showOnChainStatus
boolean

Return raw on-chain proposal status value

Response

Proposal retrieved successfully

data
object
required

Shared response structure for proposal endpoints

metadata
object
required